[algogeeks] Re: Problem from ACM ICPC 2010_2

2011-01-09 Thread rgap
Thanks, i finished it. :) it wasdist[i] + dist[j] - 2*dist[lca(i, j)] "this problem is difficult" :( http://acmicpc-live-archive.uva.es/nuevoportal/data/problem.php?p=4809 I dont have idea how to solve it. -- You received this message because you are subscribed to the Google Groups "Alg

[algogeeks] Re: Problem from ACM ICPC 2010_2

2011-01-09 Thread juver++
Run dfs/bfs from the root (node 0). Store distance from the root to each node at the node's data. Then the final path's weight between i and j is: dist[i] + dist[j] - dist[lca(i, j)]. -- You received this message because you are subscribed to the Google Groups "Algorithm Geeks" group. To post